PipeWire 1.4.10

Loading...
Searching...
No Matches
spa_video_info Struct Reference
SPA » Parameters

`#include <spa/param/video/format.h>`

## Data Fields
uint32_t | media_type
uint32_t | media_subtype
union { |
struct spa_video_info_raw raw |
struct spa_video_info_dsp dsp |
struct spa_video_info_h264 h264 |
struct spa_video_info_mjpg mjpg |
} | info

## Detailed Description

Examples
  tutorial5.c, video-play-pull.c, video-play-reneg.c, and video-play.c.

## Field Documentation

## ◆ media_type

uint32_t spa_video_info::media_type

## ◆ media_subtype

uint32_t spa_video_info::media_subtype

## ◆ raw

struct spa_video_info_raw spa_video_info::raw

## ◆ dsp

struct spa_video_info_dsp spa_video_info::dsp

## ◆ h264

struct spa_video_info_h264 spa_video_info::h264

## ◆ mjpg

struct spa_video_info_mjpg spa_video_info::mjpg

## ◆ [union]

union { ... } spa_video_info::info

The documentation for this struct was generated from the following file:

- spa/param/video/format.h